Overview | Module | Use | Devguide | Index

Elements' Summary | Elements' Details

:: com :: sun :: star :: bridge :: oleautomation ::
unpublished | struct SCode |
Usage Restrictions not published Description is the UNO representation of the Automation type SCODE. A `SCODE` is used to express errors in Automation. In UNO it could be represented by a `long` and therefore a typedef from `long` to a particular error type would do. But a typedef cannot be expressed in all language bindings. In the case where no typedefs are supported the actual type is used. That is, a typedef'd error type would be represented as `int` in Java. The information that the `int` is an error type is lost. When calling Automation objects from UNO the distinction between error type and `long` is important. Therefore the ::Scode is declared as struct. Since OOo 1.1.2

Elements' Summary
Value |

Elements' Details
Value
long Value;

Top of Page

Copyright © 2000, 2013 LibreOffice contributors and/or their affiliates. All rights reserved.

LibreOffice was created by The Document Foundation, based on OpenOffice.org, which is Copyright 2000, 2010 Oracle and/or its affiliates.

The Document Foundation acknowledges all community members, please find more info at our website.

Privacy Policy | Impressum (Legal Info) | Copyright information: The source code of LibreOffice is licensed under the GNU Lesser General Public License (LGPLv3). "LibreOffice" and "The Document Foundation" are registered trademarks of their corresponding registered owners or are in actual use as trademarks in one or more countries. Their respective logos and icons are also subject to international copyright laws. Use thereof is explained in our trademark policy.